/* Copyright Mark Vitnell 2006 */
#include <avr/io.h>    

void delay(long int ticks) {
	unsigned long int countdown;

	while (ticks != 0) {
	for (countdown=0; countdown <= 200; countdown++); //  about 1ms @9mhz
	ticks--;
	}
}

int main(void) {
	DDRB= (1<<DDB3)| (1<<DDB4); // data direction to output for LED ports
	while (1) {				// forever
		PORTB = 0x08;		// turn on LED on PB3
    	delay(30);		// for about 400ms
		PORTB = 0x10;		// turn on LED on PB4
    	delay(20);		// for about 100ms
	}
return 0;
}
